<?php
defined('_JEXEC') or die;

/**
 * Template for Joomla! CMS, created with Artisteer.
 * See readme.txt for more details on how to use the template.
 */

require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'functions.php';

// Create alias for $this object reference:
$document = $this;

// Shortcut for template base url:
$templateUrl = $document->baseurl . '/templates/' . $document->template;

Artx::load("Artx_Page");

// Initialize $view:
$view = $this->artx = new ArtxPage($this);

// Decorate component with Artisteer style:
$view->componentWrapper();

JHtml::_('behavior.framework', true);

?>
<!DOCTYPE html>
<html dir="ltr" lang="<?php echo $document->language; ?>">
<head>
    <jdoc:include type="head" />
    <link rel="stylesheet" href="<?php echo $document->baseurl; ?>/templates/system/css/system.css" />
    <link rel="stylesheet" href="<?php echo $document->baseurl; ?>/templates/system/css/general.css" />

    <!-- Created by Artisteer v4.2.0.60623 -->
    
    
    <meta name="viewport" content="initial-scale = 1.0, maximum-scale = 1.0, user-scalable = no, width = device-width" />

    <!--[if lt IE 9]><script src="https://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
    <link rel="stylesheet" href="<?php echo $templateUrl; ?>/css/template.css" media="screen" />
    <!--[if lte IE 7]><link rel="stylesheet" href="<?php echo $templateUrl; ?>/css/template.ie7.css" media="screen" /><![endif]-->
    <link rel="stylesheet" href="<?php echo $templateUrl; ?>/css/template.responsive.css" media="all" />

<link rel="shortcut icon" href="<?php echo $templateUrl; ?>/favicon.ico" type="image/x-icon" />
    <script>if ('undefined' != typeof jQuery) document._artxJQueryBackup = jQuery;</script>
    <script src="<?php echo $templateUrl; ?>/jquery.js"></script>
    <script>jQuery.noConflict();</script>

    <script src="<?php echo $templateUrl; ?>/script.js"></script>
    <script src="<?php echo $templateUrl; ?>/script.responsive.js"></script>
    <script src="<?php echo $templateUrl; ?>/modules.js"></script>
    <?php $view->includeInlineScripts() ?>
    <script>if (document._artxJQueryBackup) jQuery = document._artxJQueryBackup;</script>
</head>
<body>

<div id="art-main">
    <div class="art-sheet clearfix">
<header class="art-header"><?php echo $view->position('header', 'art-nostyle'); ?>

    <div class="art-shapes">
        
            </div>





<div class="art-textblock art-object1029843141">
    <form class="art-search" name="Search" action="<?php echo $document->baseurl; ?>/index.php" method="post">
    <input type="text" value="" name="searchword" />
            <input type="hidden" name="task" value="search" />
<input type="hidden" name="option" value="com_search" />
<input type="submit" value="Search" name="search" class="art-search-button" />
    </form>
</div>
<?php if ($view->containsModules('user3', 'extra1', 'extra2')) : ?>
<nav class="art-nav">
    
<?php if ($view->containsModules('extra1')) : ?>
<div class="art-hmenu-extra1"><?php echo $view->position('extra1'); ?></div>
<?php endif; ?>
<?php if ($view->containsModules('extra2')) : ?>
<div class="art-hmenu-extra2"><?php echo $view->position('extra2'); ?></div>
<?php endif; ?>
<?php echo $view->position('user3'); ?>
 
    </nav>
<?php endif; ?>

                    
</header>
<?php echo $view->position('banner1', 'art-nostyle'); ?>
<?php echo $view->positions(array('top1' => 33, 'top2' => 33, 'top3' => 34), 'art-block'); ?>
<div class="art-layout-wrapper">
                <div class="art-content-layout">
                    <div class="art-content-layout-row">
                        <?php if ($view->containsModules('left')) : ?>
<div class="art-layout-cell art-sidebar1">
<?php echo $view->position('left', 'art-block'); ?>




                        </div>
<?php endif; ?>
                        <div class="art-layout-cell art-content">
<?php
  echo $view->position('banner2', 'art-nostyle');
  if ($view->containsModules('breadcrumb'))
    echo artxPost($view->position('breadcrumb'));
  echo $view->positions(array('user1' => 50, 'user2' => 50), 'art-article');
  echo $view->position('banner3', 'art-nostyle');
  echo artxPost(array('content' => '<jdoc:include type="message" />', 'classes' => ' art-messages'));
  echo '<jdoc:include type="component" />';
  echo $view->position('banner4', 'art-nostyle');
  echo $view->positions(array('user4' => 50, 'user5' => 50), 'art-article');
  echo $view->position('banner5', 'art-nostyle');
?>



                        </div>
                        <?php if ($view->containsModules('right')) : ?>
<div class="art-layout-cell art-sidebar2">
<?php echo $view->position('right', 'art-block'); ?>


                        </div>
<?php endif; ?>
                    </div>
                </div>
            </div>
<?php echo $view->positions(array('bottom1' => 33, 'bottom2' => 33, 'bottom3' => 34), 'art-block'); ?>
<?php echo $view->position('banner6', 'art-nostyle'); ?>

<footer class="art-footer">
<div class="art-content-layout-wrapper layout-item-0">
<div class="art-content-layout">
    <div class="art-content-layout-row">
    <div class="art-layout-cell layout-item-2" style="width: 33%">
<?php if ($view->containsModules('footer1')) : ?>
    <?php echo $view->position('footer1', 'art-nostyle'); ?>
<?php else: ?>
        <p><br /></p>
    <?php endif; ?>
</div><div class="art-layout-cell layout-item-2" style="width: 34%">
<?php if ($view->containsModules('footer2')) : ?>
    <?php echo $view->position('footer2', 'art-nostyle'); ?>
<?php else: ?>
        <p><br /></p>
    <?php endif; ?>
</div><div class="art-layout-cell layout-item-2" style="width: 33%">
<?php if ($view->containsModules('footer3')) : ?>
    <?php echo $view->position('footer3', 'art-nostyle'); ?>
<?php else: ?>
        <p><br /></p>
    <?php endif; ?>
</div>
    </div>
</div>
</div>
<div class="art-content-layout-br layout-item-1">
</div><div class="art-content-layout">
    <div class="art-content-layout-row">
    <div class="art-layout-cell" style="width: 100%">
<?php if ($view->containsModules('footer4')) : ?>
    <?php echo $view->position('footer4', 'art-nostyle'); ?>
<?php else: ?>
        <div style="position:relative;padding-left:10px;padding-right:10px"><p><a href="http://www.aloa.org/index.php" title="aloa.org"><img width="67" height="87" alt="" src="<?php echo $document->baseurl ?>/templates/<?php echo $document->template; ?>/images/aloa_logo.png" class="" /></a>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;<a href="https://www.asisonline.org/Pages/default.aspx" title="asisonline.org"><img width="114" height="67" alt="" src="<?php echo $document->baseurl ?>/templates/<?php echo $document->template; ?>/images/asis_logo.png" class="" /></a>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;<a href="http://www.nfpa.org/" title="nfpa.org"><img width="75" height="74" alt="" src="<?php echo $document->baseurl ?>/templates/<?php echo $document->template; ?>/images/nfpa_logo.png" class="" /></a>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<a href="http://www.esaweb.org/" title="esaweb.org"><img width="115" height="51" alt="" src="<?php echo $document->baseurl ?>/templates/<?php echo $document->template; ?>/images/esa_logo.png" class="" /></a>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<a href="http://www.nicet.org/" title="nicet.org"><img width="82" height="66" alt="" src="<?php echo $document->baseurl ?>/templates/<?php echo $document->template; ?>/images/nicet.png" /></a>&nbsp; &nbsp;&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;<a href="http://www.savta.org/" title="savta"><img width="194" height="50" alt="" src="<?php echo $document->baseurl ?>/templates/<?php echo $document->template; ?>/images/savta_logo.png" /></a><br /></p><p><br /></p></div>
    <?php endif; ?>
</div>
    </div>
</div>
<div class="art-content-layout">
    <div class="art-content-layout-row">
    <div class="art-layout-cell layout-item-3" style="width: 100%">
<?php if ($view->containsModules('footer5')) : ?>
    <?php echo $view->position('footer5', 'art-nostyle'); ?>
<?php else: ?>
        <p><span style="color: #FFFFFF;">Copyright © 2014. All Rights Reserved.</span><br /></p>
    <?php endif; ?>
</div>
    </div>
</div>

    <p class="art-page-footer">
        <span id="art-licence-links">Images by Flickr/goodhugh</span>
    </p>
</footer>

    </div>
</div>


<?php echo $view->position('debug'); ?>
</body>
</html>